import { OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { DomSanitizer, SafeUrl } from "@angular/platform-browser";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class VideoPlayerWidgetComponent extends BaseWidgetComponent implements OnChanges, OnInit {
    private sanitizer;
    videoUrl: SafeUrl;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getSourceUrl(url: string): SafeUrl;
    static ɵfac: i0.ɵɵFactoryDeclaration<VideoPlayerWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VideoPlayerWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
