import { OnInit } from "@angular/core";
import { MatDialog } from "@angular/material/dialog";
import { RouterUtilService } from "@smallstack/common-components";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class ImageWidgetComponent extends BaseWidgetComponent implements OnInit {
    private matDialog;
    private routerUtilService;
    license: string;
    licenseUrl: string;
    replacedUrl: string;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(matDialog: MatDialog, routerUtilService: RouterUtilService);
    ngOnInit(): void;
    openLink(imageLink: string): void;
    onError(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageWidgetComponent, "smallstack-image-widget", never, {}, {}, never, never, false, never>;
}
